/*************************************************************************

Copyright (c) 1994  Microsoft Corporation

Module Name:

	dibfilt.h
Abstract:

	Some signal processing APIs for dib:
	2-D median filter: Median2D. NOTE: odd window size only.
	1-DX median filter: Median1DX. NOTE: odd window size only.
	1-DY median filter: Median1DX. NOTE: odd window size only.
	1-DX linear filter: Transversal1DX. NOTE: odd filter length only.
	1-DY linear filter: Transversal1DY. NOTE: odd filter length only.
	2-D linear separable filter: Transversal2D. NOTE: odd filter length only.

References: 

	Handbook of Digital Signal Processing, Mitra & Kaiser.  Pg 1029 for 
		filter coeffs.
	Multirate Systems and Filter Banks, Vaidyananathan, chapter 4.
	Two Dimensional Signal and Image Processing by Lim.


Author:

	Ming-Chieh Lee (MingCL) 11-November-1994

Revision History:

*************************************************************************/


#ifndef __DIBFILT_H_
#define __DIBFILT_H_


PDIB Median2D (const PDIB pDib, int window);
PDIB Median1DX (const PDIB pDib, int window);
PDIB Median1DY (const PDIB pDib, int window);
PDIB Transversal1DX (const PDIB pDib, int length, const double* coeff);
PDIB Transversal1DY (const PDIB pDib, int length, const double* coeff);
PDIB Transversal2D (const PDIB pDib, int lengthX, const double* coeffX, int lengthY, const double* coeffY);


#endif // __DIBFILT_H_
